POST api/medistreamprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "7c51ab9e-25a2-462a-8e60-9513c0d7727c",
"program_id": "ae232215-ca24-40a7-b7d7-af0d726223a5",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "3d0d87e1-ed55-484e-a2b5-0a6ca90b47f2",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>7c51ab9e-25a2-462a-8e60-9513c0d7727c</id> <medistream_program_step_type_id>3d0d87e1-ed55-484e-a2b5-0a6ca90b47f2</medistream_program_step_type_id> <name>sample string 4</name> <program_id>ae232215-ca24-40a7-b7d7-af0d726223a5</program_id> </medistream_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"954ae555-b174-4fff-96cc-59de4a4883dd"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">954ae555-b174-4fff-96cc-59de4a4883dd</guid>